be.ehealth.businessconnector.mycarenet.memberdatav2.service

## Class ServiceFactory

- java.lang.Object
- - be.ehealth.businessconnector.mycarenet.memberdatav2.service.ServiceFactory

-     public final class ServiceFactory
      extends Object

  A factory used in `MemberDataService` to communicate with the endpoint.

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static GenericRequest` | `getMemberDataSyncPort(SAMLToken token)` Creates a `GenericRequest` for the given SAML token and soap action
    `static GenericRequest` | `getMemberDataSyncPort(SAMLToken token, String endpoint)` Creates a `GenericRequest` for the given SAML token and soap action

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getMemberDataSyncPort

          public static GenericRequest getMemberDataSyncPort(SAMLToken token)
                                                      throws TechnicalConnectorException

      Creates a `GenericRequest` for the given SAML token and soap action
      Parameters:
        `token` - the token
      Returns:
        the generic request
      Throws:
        `TechnicalConnectorException` - the technical connector exception

    - #### getMemberDataSyncPort

          public static GenericRequest getMemberDataSyncPort(SAMLToken token,
                                                             String endpoint)
                                                      throws TechnicalConnectorException

      Creates a `GenericRequest` for the given SAML token and soap action
      Parameters:
        `token` - the token
        `endpoint` - the string representation of the endpoint
      Returns:
        the generic request
      Throws:
        `TechnicalConnectorException` - the technical connector exception

Connector Packaging PERSPODOLOGIST 4.6.0 API
Copyright © {inceptionYear}-2024 eHealth. All Rights Reserved.